<?php include 'common.php'; ?><!DOCTYPE html>
<html lang="no">
<head>
    <title><?=title();?></title>
    <link rel="stylesheet" href="index.css">
    <style>
        h1 {
            font-size: 32px !important;
        }

        h2 {
            font-size: 24px !important;
        }
    </style>
</head>
<body>

<div class="container">
    <h1><?=title();?></h1>
    <h4><?=getNavigation();?></h4>
    <h2>PHP INFO</h2>

    <div class="assignment">
        <p>
            <strong>Sjekk hva innstillingene <code>display_errors</code> og <code>document_root</code> er satt til.</strong><br>
            Hos meg er instillingene som følger:<br>
            <code>display_errors: On</code><br>
            <code>document_root:  /home/eirik/Documents/git/usegit/is115</code><br>
        </p>
        <p>
            <strong>Svar også på hvorfor du tror det er lurt å kjenne til bruk av funksjonen <code>phpinfo()</code>.</strong><br>
            Det er lurt å kjenne til bruken av <code>phpinfo()</code> for å kjapt og enkelt finne en servers konfigurasjon.
            Hvis du skal sette opp et nettsted på en ny server er det veldig greit å sjekke at moduler du trenger er tilgjengelige.</p>
    </div>
    <br>
    <div class="bigContent"><?php phpinfo(); ?></div>
</div>

</body>
</html>