<?php include '../common.php'; ?><!DOCTYPE html>
<html lang="no">
<head>
    <title><?=title();?></title>
    <link rel="stylesheet" href="../index.css">
</head>
<body>

<div class="container">
    <h1><?=title();?></h1>
    <h4><?=getNavigation();?></h4>
    <h2>Sjekk av fylkestilhørighet</h2>

    <?php
    // Array med test-kommuner
    $kommuner = array("Kristiansand", "Lillesand", "Birkenes", "Harstad", "Kvæfjord", "Tromsø", "Bergen", "Trondheim", "Bodø", "Alta");

    /* En foreach med en switch inni.
     * Switchen gjør noe eget per resultat, og gir en praktisk måte å gjøre de samme funksjonene ved flere tilfeller.
     * break; må brukes for at ikke tilfellenes koder skal kjøres.
     */

    foreach ($kommuner as $k){
        switch ($k){
            case "Kristiansand":
            case "Lillesand":
            case "Birkenes":
                echo "$k er i Agder fylke<br>\n";
                break;
            case "Harstad":
            case "Kvæfjord":
            case "Tromsø":
            case "Alta":
                echo "$k er i Troms og Finnmark fylke<br>\n";
                break;
            case "Bergen":
                echo "$k er i Vestland fylke<br>\n";
                break;
            case "Trondheim":
                echo "$k er i Trøndelag fylke<br>\n";
                break;
            case "Bodø":
                echo "$k er i Nordland fylke<br>\n";
                break;
            default:
                echo "$k er en ukjent eller ustøttet kommune<br>\n";
        }
    }
    ?>

</div>

</body>
</html>