<?php
include '../common.php';
include 'forberedelser.php';

ini_set('error_reporting', 1);
ini_set('display_errors',1);


?><!DOCTYPE html>
<html lang="no">
<head>
    <title><?=title();?></title>
    <link rel="stylesheet" href="../index.css">
</head>
<body>

<div class="container">
    <h1><?=title();?></h1>
    <h4><?=getNavigation();?></h4>
    <h2>Aktiviteter</h2>
</div>

<?php
$aktiviteter = hentAktivitet();

if(!empty($aktiviteter)){ ?>
<div>
    <table class="table">
        <thead>
        <tr>
            <th>ID</th>
            <th>Navn</th>
            <th>Beskrivelse</th>
            <th>Ansvarlig</th>
            <th>Aktivitetens start</th>
            <th>Aktivitetens slutt</th>
        </tr>
        </thead>
        <tbody>
        <?php
        foreach($aktiviteter as $aktivitet){
            echo "<tr>\n";
            echo "  <td>".$aktivitet->dbid."</td>\n";
            echo "  <td>".$aktivitet->navn."</td>\n";
            echo "  <td>".$aktivitet->beskrivelse."</td>\n";
            echo "  <td>".$aktivitet->ansvarligId."</td>\n";
            echo "  <td>".(($temp=$aktivitet->start)?$temp->format('d. M Y H:i'):'')."</td>\n";
            echo "  <td>".(($temp=$aktivitet->slutt)?$temp->format('d. M Y H:i'):'')."</td>\n";
            echo "</tr>\n";
        }
        ?>
        </tbody>
    </table>
</div>
<?php } else { ?>

<?php } ?>

</body>
</html>