-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Generation Time: Nov 17, 2021 at 01:24 PM
-- Server version: 10.6.5-MariaDB
-- PHP Version: 7.4.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `medlemsprosjekt`
--

-- --------------------------------------------------------

--
-- Table structure for table `Aktivitet`
--

CREATE TABLE `Aktivitet` (
  `aktivitetId` int(11) NOT NULL,
  `navn` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL,
  `beskrivelse` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT ' ',
  `ansvarligId` int(11) NOT NULL,
  `start` datetime NOT NULL,
  `slutt` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `Aktivitet`
--

INSERT INTO `Aktivitet` (`aktivitetId`, `navn`, `beskrivelse`, `ansvarligId`, `start`, `slutt`) VALUES
(1, 'Kino', 'Kinodag i kristiansand woho', 1, '2020-07-07 19:00:00', '2020-07-07 21:00:00'),
(2, 'Tur', 'Tur til kina', 1, '2021-12-07 19:00:00', '2021-07-07 21:00:00'),
(3, 'Turnering', 'Fotball Turnering', 1, '2022-07-07 19:00:00', '2022-07-07 21:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `Bruker`
--

CREATE TABLE `Bruker` (
  `brukerId` int(11) NOT NULL,
  `epost` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `passord` varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ckey` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ' ',
  `ctime` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ' '
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `Bruker`
--

INSERT INTO `Bruker` (`brukerId`, `epost`, `passord`, `ckey`, `ctime`) VALUES
(1, 'johbirk00@gmail.com', '$2y$10$btZKVjCywJL0v5vky/r8yeYf/H5zWkfzyGghygHZr0i4nZBGrc88i', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `Interesse`
--

CREATE TABLE `Interesse` (
  `interesseId` int(11) NOT NULL,
  `navn` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `Interesse`
--

INSERT INTO `Interesse` (`interesseId`, `navn`) VALUES
(2, 'Bading'),
(3, 'Dansing'),
(1, 'Fotball'),
(4, 'Grilling');

-- --------------------------------------------------------

--
-- Table structure for table `Interesse_register`
--

CREATE TABLE `Interesse_register` (
  `medlemId` int(11) NOT NULL,
  `interesseId` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `Interesse_register`
--

INSERT INTO `Interesse_register` (`medlemId`, `interesseId`) VALUES
(1, 1),
(1, 2),
(2, 1),
(2, 3),
(3, 1),
(3, 3);

-- --------------------------------------------------------

--
-- Table structure for table `Medlem`
--

CREATE TABLE `Medlem` (
  `medlemId` int(11) NOT NULL,
  `fornavn` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL,
  `etternavn` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL,
  `adresse` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL,
  `postnummer` int(4) NOT NULL,
  `mobilnummer` varchar(12) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `epost` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `dob` date NOT NULL,
  `kjoenn` enum('M','F','O') COLLATE utf8mb4_unicode_ci NOT NULL,
  `kontigentStatus` enum('BETALT','IKKE_BETALT') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'IKKE_BETALT',
  `medlemStart` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `Medlem`
--

INSERT INTO `Medlem` (`medlemId`, `fornavn`, `etternavn`, `adresse`, `postnummer`, `mobilnummer`, `epost`, `dob`, `kjoenn`, `kontigentStatus`, `medlemStart`) VALUES
(1, 'Johannes', 'Birkeland', 'Teian 6', 4462, NULL, 'johannesbi@uia.no', '2000-11-19', 'M', 'BETALT', '2019-11-11'),
(2, 'Per', 'Persen', 'Per Gaten', 4462, NULL, 'perper@uia.no', '2000-11-19', 'O', 'BETALT', '2019-11-11'),
(3, 'Lina', 'Ridley', 'En gate i krs', 4614, NULL, 'linaridley@uia.no', '2002-07-26', 'F', 'BETALT', '2019-11-11'),
(7, 'Eirik', 'Svag', 'Fergefjell\n', 4614, NULL, 'hei@padeg.no', '1996-01-18', 'M', 'BETALT', '2021-11-09'),
(8, 'Kai', 'Havn', 'Havnegata 1\n', 4606, NULL, 'kai@havn.no', '1905-01-01', 'O', 'BETALT', '2021-09-10');

-- --------------------------------------------------------

--
-- Table structure for table `Postnummer`
--

CREATE TABLE `Postnummer` (
  `postnummer` int(4) NOT NULL,
  `poststed` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `Postnummer`
--

INSERT INTO `Postnummer` (`postnummer`, `poststed`) VALUES
(1337, 'Sandvika'),
(4462, 'Hovsherad'),
(4606, 'Kristiansand'),
(4614, 'Kristiansand');

-- --------------------------------------------------------

--
-- Table structure for table `Rolle`
--

CREATE TABLE `Rolle` (
  `rolleId` int(11) NOT NULL,
  `rolleNavn` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `Rolle`
--

INSERT INTO `Rolle` (`rolleId`, `rolleNavn`) VALUES
(2, 'KURSANSVARLIG'),
(1, 'LEDER');

-- --------------------------------------------------------

--
-- Table structure for table `Rolle_register`
--

CREATE TABLE `Rolle_register` (
  `medlemId` int(11) NOT NULL,
  `rolleId` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `Rolle_register`
--

INSERT INTO `Rolle_register` (`medlemId`, `rolleId`) VALUES
(1, 1),
(1, 2),
(2, 2);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `Aktivitet`
--
ALTER TABLE `Aktivitet`
  ADD PRIMARY KEY (`aktivitetId`),
  ADD KEY `ansvarligId` (`ansvarligId`);

--
-- Indexes for table `Bruker`
--
ALTER TABLE `Bruker`
  ADD PRIMARY KEY (`brukerId`),
  ADD UNIQUE KEY `epost` (`epost`);

--
-- Indexes for table `Interesse`
--
ALTER TABLE `Interesse`
  ADD PRIMARY KEY (`interesseId`),
  ADD UNIQUE KEY `navn` (`navn`);

--
-- Indexes for table `Interesse_register`
--
ALTER TABLE `Interesse_register`
  ADD PRIMARY KEY (`medlemId`,`interesseId`),
  ADD KEY `interesseId` (`interesseId`);

--
-- Indexes for table `Medlem`
--
ALTER TABLE `Medlem`
  ADD PRIMARY KEY (`medlemId`),
  ADD UNIQUE KEY `epost` (`epost`),
  ADD KEY `postnummer` (`postnummer`);

--
-- Indexes for table `Postnummer`
--
ALTER TABLE `Postnummer`
  ADD PRIMARY KEY (`postnummer`);

--
-- Indexes for table `Rolle`
--
ALTER TABLE `Rolle`
  ADD PRIMARY KEY (`rolleId`),
  ADD UNIQUE KEY `rolleNavn` (`rolleNavn`);

--
-- Indexes for table `Rolle_register`
--
ALTER TABLE `Rolle_register`
  ADD PRIMARY KEY (`medlemId`,`rolleId`),
  ADD KEY `rolleId` (`rolleId`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `Aktivitet`
--
ALTER TABLE `Aktivitet`
  MODIFY `aktivitetId` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `Bruker`
--
ALTER TABLE `Bruker`
  MODIFY `brukerId` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `Interesse`
--
ALTER TABLE `Interesse`
  MODIFY `interesseId` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `Medlem`
--
ALTER TABLE `Medlem`
  MODIFY `medlemId` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT for table `Rolle`
--
ALTER TABLE `Rolle`
  MODIFY `rolleId` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `Aktivitet`
--
ALTER TABLE `Aktivitet`
  ADD CONSTRAINT `Aktivitet_ibfk_1` FOREIGN KEY (`ansvarligId`) REFERENCES `Medlem` (`medlemId`);

--
-- Constraints for table `Interesse_register`
--
ALTER TABLE `Interesse_register`
  ADD CONSTRAINT `Interesse_register_ibfk_1` FOREIGN KEY (`medlemId`) REFERENCES `Medlem` (`medlemId`),
  ADD CONSTRAINT `Interesse_register_ibfk_2` FOREIGN KEY (`interesseId`) REFERENCES `Interesse` (`interesseId`);

--
-- Constraints for table `Medlem`
--
ALTER TABLE `Medlem`
  ADD CONSTRAINT `Medlem_ibfk_1` FOREIGN KEY (`postnummer`) REFERENCES `Postnummer` (`postnummer`);

--
-- Constraints for table `Rolle_register`
--
ALTER TABLE `Rolle_register`
  ADD CONSTRAINT `Rolle_register_ibfk_1` FOREIGN KEY (`medlemId`) REFERENCES `Medlem` (`medlemId`),
  ADD CONSTRAINT `Rolle_register_ibfk_2` FOREIGN KEY (`rolleId`) REFERENCES `Rolle` (`rolleId`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
