<?php

$re = '/([0-9]{1,2})/m';
$request = explode('/', $_SERVER['PHP_SELF']);
preg_match_all($re, $request[ count($request)-1], $matches, PREG_SET_ORDER, 0);

$modulNr = $matches[0][0];
$oppgNr = $matches[1][0];

function getNavigation(): string {
    global $modulNr, $oppgNr;

    $returnArr = [];
    if($oppgNr > 1 && file_exists("index".$modulNr."_".($oppgNr-1).".php")){
        $returnArr[] = "<a href='index".$modulNr."_".($oppgNr-1).".php'>Oppgave ".($oppgNr-1)."</a>";
    }
    $returnArr[] = "<a href='./'>Tilbake til modulen</a>";
    if(file_exists("index".$modulNr."_".($oppgNr+1).".php")){
        $returnArr[] = "<a href='index".$modulNr."_".($oppgNr+1).".php'>Oppgave ".($oppgNr+1)."</a>";
    }

    return implode(' - ', $returnArr);
}

function title(): string {
    global $modulNr, $oppgNr;

    return "Modul ".$modulNr." - Oppgave $oppgNr";
}
