<?php include '../common.php'; header('Content-Type: text/html; charset=utf-8'); ?><!DOCTYPE html>
<html lang="no">
<head>
    <title><?=title();?></title>
    <meta charset='UTF-8'>
    <link rel="stylesheet" href="../index.css">
</head>
<body>

<div class="container">
    <h1><?=title();?></h1>
    <h4><?=getNavigation();?></h4>
    <h2>Sjekk av etternavn</h2>

    <?php
    // Henter etternavn fra GET, eller bruker en standard.
    $etternavn = $_GET['etternavn'] ?? 'kArLsEn';

    // Den innebygde funksjonen `mb_convert_case` med mode: MB_CASE_TITLE gjør at forbokstaven i hvert ord blir stor, med encodingen UTF-8. Det betyr at den også fungerer med æ, ø og å.
    $fintEtternavn = mb_convert_case($etternavn, MB_CASE_TITLE, "UTF-8");

    // mb_strlen teller tegn med en enkoding. For oss betyr det at den ikke teller våre spesialtegn (æ, ø og å) som 2.
    ?>

    <p>Etternavn: <strong><?=$etternavn;?></strong></p>
    <p>Etternavnet etter det er gjort finere: <strong><?=$fintEtternavn;?></strong></p>
    <p>Etternavnet er <code><?=mb_strlen($fintEtternavn, "UTF-8");?> karakterer langt</code>.</p>
    <br>
    <form>
        <p>
            <input type="text" name="etternavn" value="<?=$etternavn;?>">
            <input type="submit" value="Sjekk navn...">
        </p>
    </form>
</div>

</body>
</html>
