<?php include '../common.php'; ?><!DOCTYPE html>
<html lang="no">
<head>
    <title><?=title();?></title>
    <link rel="stylesheet" href="../index.css">
</head>
<body>

<div class="container">
    <h1><?=title();?></h1>
    <h4><?=getNavigation();?></h4>
    <h2>Liten regnemaskin</h2>

    <?php
    // Valgte tall eller tilfeldige tall:
    $tall1 = $_GET['t1'] ?? random_int(1,50);
    $tall2 = $_GET['t2'] ?? random_int(1,100);

    // Variabler som holder de første verdiene til formen på bunnen av siden.
    $startT1 = $tall1;
    $startT2 = $tall2;

    // Sjekker om tallene er tall, og gir en feilmelding hvis de ikke er det.
    if(!is_numeric($tall1) || !is_numeric($tall2)){
        echo "<p>Et av tallene er ikke et tall. Får ikke til å regne ut hva verdiene blir da.</p>\n";
    }
    else {
        for($i = 0; $i < 10; $i++){
            // Regne ut verdiene
            $sum = $tall1+$tall2;
            $diff = higher($tall1, $tall2) - lower($tall1, $tall2);
            $avg = $sum/2;

            // Skrive ut verdiene
            echo "<p>Tallene $tall1 og $tall2 blir totalt <code>$sum</code>, differenserer <code>$diff</code> og har gjennomsnitt <code>$avg</code></p>";

            // Øker $tall1 med èn for hver iterasjon.
            $tall1++;
        }
    }
    ?>

    <!-- En form for å endre tallene -->
    <form>
        <p>
            <input type="number" min="0" max="999" name="t1" value="<?=$startT1;?>">
            <input type="number" min="0" max="999" name="t2" value="<?=$startT2;?>">
            <input type="submit" value="Sjekk tallene...">
        </p>
    </form>
</div>

</body>
</html>