<?php include '../common.php'; ?><!DOCTYPE html>
<html lang="no">
<head>
    <title><?=title();?></title>
    <link rel="stylesheet" href="../index.css">
</head>
<body>

<div class="container">
    <h1><?=title();?></h1>
    <h4><?=getNavigation();?></h4>
    <h2>Overskriving av matrise</h2>

    <?php
    echo "<p>Matrise med valgfrie verdier med indekser 0-9:";
    $matrise = array("Kai", "Mette", "Gunnar", "Terje", "Adam", "Bjørnar", "Frode", "Aase", "Brynjulf", "Tina");

    // Her bruker vi <pre> for at innholdet skal se fint ut i brukerens grensesnitt ved å fortelle nettleseren at innholder er forhånds-formatert.
    echo "<pre>";
    print_r($matrise);
    echo "</pre></p>\n\n";


    echo "<p>Endre verdiene til hver indeks i matrisen:";
    $matrise[0] = "Karl";
    $matrise[1] = "Mia";
    $matrise[2] = "Ove";
    $matrise[3] = "Erik";
    $matrise[4] = "Borgar";
    $matrise[5] = "Erlend";
    $matrise[6] = "Simon";
    $matrise[7] = "Tuva";
    $matrise[8] = "Syver";
    $matrise[9] = "Solvor";

    echo "<pre>";
    print_r($matrise);
    echo "</pre></p>\n\n";

    echo "<p>Endre indeks-verdiene:";

    /* Sette inn verdier foran matrisen så matrisen har 10 flere indekser, med verdien "null".
     * array_pad legger på nøkler i matrisen for å oppfylle kravet.
     * Siden 'length' parametret (nr 2) er negativt vil array_pad legge inn verdier i begynnelsen av matrisen med verdien fra det siste parameteret.
     */
    $matrise = array_pad($matrise, 0-10-count($matrise), null);

    /* Filtrere vekk FALSE/NULL verdier fra arrayen, men beholde indeksene.
     * array_filter() vil uten parametere filtrere vekk null-verdier.
     * Siden vi i forrige funksjon la inn mange felter med null-verdier blir disse nå tatt vekk, mens matrisens nøkler forblir.
     */
    $matrise = array_filter($matrise);

    echo "<pre>";
    print_r($matrise);
    echo "</pre></p>\n\n";

    ?>
</div>

</body>
</html>